library(stockassessment)
load("run/model.RData")
FC<-list()

#2023 forecast
#F=0
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,0,0), fval=c(0.755,0.755,NA,NA), label="2021F=2022F then zero", rec.years=1973:2021)

#Fmsy
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), fval=c(0.755,0.755,0.268,0.268), label="2021F=2022F then Fmsy", rec.years=1973:2021)

#F=SQ
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), fval=c(0.755,0.755,0.755,0.755), label="SQ, 2021F=2022F", rec.years=1973:2021)

#F that will get us to Blim
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.755,0.755,NA,0.268), fscale=c(NA,NA,NA,NA), nextssb=c(NA,NA,4346,NA),label="SSB(2024)= Blim")

#F that will get us to Bpa and in this case MSYBtrigger
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.755,0.755,NA,0.268), fscale=c(NA,NA,NA,NA), nextssb=c(NA,NA,5983,NA),label="SSB(2024)= Bpa")


save(FC, file="run/forecast.RData")

#biological parameters is as a default set as the last 5 year average in the forecast. we keep this
#In this case, the recruitment is taken as the full time series average.
#the selectivity is taken from the final assessment years. we keep this
